---
title: API Integrations
tags:
- projects
---
# API Integrations

We have integrated the following APIs in our products:

## Helpdesk Systems

In our portal solutions the user should have the possibility to cummunicate with the portal provider. Therefore, many
providers have helpdesk systems in use or plan to use one. So, we provide a framework in Drupal to satisfy this requirement. The
framework provides the basic functionality like formulars or ticket lists. We have integrated the following helpdesk systems
via Drupal plugins in seperate modules:

### Zendesk

The following parts of the API are integrated:

* Get the latest tickets
* Create and Update tickets
* Get and use custom ticket fields
* Get and use custom ticket states

### Zammad

The following parts of the API are integrated:

* Get the latest tickets
* Create and Update tickets
* Get and use custom ticket fields
* Get and use custom ticket states

### You Track (in planning)

## Document Management Systems

Usually companies have their own product to manage documents. Therefore, we implemented the following integrations in Drupal:

* Sharepoint
* Nextcloud (in planning)

Here it is planned to develop a framework like the one for the helpdesk integration.

## Payment Systems

* PayPal
* GiroPay
* Heidelpay
* Sofort

## Digital Signage

One of our largest module concerning new functionality is Digital Signage. We have developed a framework to integrate digital signage
platforms. Every content you can create in Drupal can be pushed to digital signage devices. So far, we have implemented an integration for:

### signageOS

This is a well-designed digital signage plaform, which offers a large amout of functionality provided by a REST API. This contains:

* Show content
* Device Management
* Debugging
* Logging

## Communications

* Mattermost
* Slack
* Twilio
* OneSignal

## Authentication

* SQRL
* Discourse SSO
* AD
* Keycloak

## ERP Systems

We integrate these external systems via an independent Java Application called Datacore. This satifies a decupling in our environment to keep Drupal
clean for external data structures. The Datacore transforms external structure to a general data model, which we use in Drupal. This allows us to integrate different
external systems and react to changes in the external structure without performing changes in Drupal.

### Microsoft Dynamics CRM

One of our customers uses Dynamics to enhance real estate basic data. The datacore takes this data and transforms it to a general data model. This model is 
imported into our Drupal application, which builds the basis of our Real Estate Portal Solution.
