---
title: DataCore Structure
tags:
- projects
---
# Component Model

Every Datacore Module contains the following components:

```plantuml

@startuml

package "Datacore Modul" {
    [Controller] - [Service]
    folder "Persistence Layer" {
        [Service] - [Entity Service]
        [Entity Service] - [Entity]
    }
}

[Controller] ..> HTTP : REST API
note right of HTTP : Expose Web Service only

database "MySQL" {
    folder "Schema" {
        [Tables]
    }
}

[Entity] ..> [Tables]

@enduml

```

The modules can be combined, where the Basic Module is mandatory to 
guarantee the core functionality. All other modules are independent from each other.

```plantuml

@startuml

component core [
    Basic Module
]

component real_estate [
    Real Estate Module
]

component gastro [
    Gastronomy Module
]

core <-- real_estate
core <-- gastro

@enduml

```

Every module contains its single components, like Database Entities, so that it can
be plugged into the Datacore environment.
